Page MenuHomePhabricator

[AArch64][GlobalISel] Implement combines for boolean G_SELECT->bitwise ops.
ClosedPublic

Authored by aemerson on Jan 12 2022, 2:24 PM.

Details

Summary

Needed to prevent regressions in a later patch. In general we're poor at dealing with saturating codegen.

Diff Detail

Event Timeline

aemerson created this revision.Jan 12 2022, 2:24 PM
aemerson requested review of this revision.Jan 12 2022, 2:24 PM
arsenm added inline comments.Jan 12 2022, 2:59 PM
llvm/lib/CodeGen/GlobalISel/CombinerHelper.cpp
5552–5553

These aren't allowed to fail

arsenm accepted this revision.Jan 18 2022, 8:45 AM
This revision is now accepted and ready to land.Jan 18 2022, 8:45 AM
This revision was landed with ongoing or failed builds.Feb 20 2022, 1:12 AM
This revision was automatically updated to reflect the committed changes.